Index: issm/trunk/externalpackages/gsl/install-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/gsl/install-pleiades.sh	(revision 12332)
+++ issm/trunk/externalpackages/gsl/install-pleiades.sh	(revision 12332)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src install gsl-1.15
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gsl-1.15.tar.gz' 'gsl-1.15.tar.gz'
+
+#Untar 
+tar -zxvf  gsl-1.15.tar.gz
+
+#Move gsl into src directory
+mv gsl-1.15/* src
+rm -rf gsl-1.15
+
+#Configure gsl
+cd src
+
+./configure \
+	--prefix="$ISSM_DIR/externalpackages/gsl/install" 
+
+#Compile gsl
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install 
Index: issm/trunk/externalpackages/gslib/install.sh
===================================================================
--- issm/trunk/externalpackages/gslib/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/gslib/install.sh	(revision 12332)
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gslib90_ls.tar.gz' 'gslib90_ls.tar.gz'
+
+#Untar 
+tar -zxvf  gslib90_ls.tar.gz
+
+#Move gslib into install directory
+mv gslib90/* install
+rm -rf gslib90
+
+#Change compiler to gfortran
+cd install
+cat Makefile | sed -e "s/FC=g95/FC=gfortran/g" > Makefile.bak
+mv Makefile.bak Makefile
+cat gslib/Makefile | sed -e "s/FC=g95/FC=gfortran/g" > Makefile.bak
+mv Makefile.bak gslib/Makefile
+make 
Index: issm/trunk/externalpackages/ipython/install.sh
===================================================================
--- issm/trunk/externalpackages/ipython/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/ipython/install.sh	(revision 12332)
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf ipython-0.12
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/ipython-0.12.tar.gz' 'ipython-0.12.tar.gz'
+
+#Untar 
+tar -zxvf  ipython-0.12.tar.gz
+
+#Move ipython into src directory
+mv ipython-0.12/* src
+rm -rf ipython-0.12
+
+#install  ipython
+cd src
+python setup.py build
+python setup.py install
Index: issm/trunk/externalpackages/kml/install.sh
===================================================================
--- issm/trunk/externalpackages/kml/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/kml/install.sh	(revision 12332)
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/kml_shapefile.zip' 'kml_shapefile.zip'
Index: issm/trunk/externalpackages/lapack/configs/linux64/make.inc
===================================================================
--- issm/trunk/externalpackages/lapack/configs/linux64/make.inc	(revision 12332)
+++ issm/trunk/externalpackages/lapack/configs/linux64/make.inc	(revision 12332)
@@ -0,0 +1,71 @@
+####################################################################
+#  LAPACK make include file.                                       #
+#  LAPACK, Version 3.4.0                                           #
+#  April 2012                                                   #
+####################################################################
+#
+SHELL = /bin/sh
+#  
+#  Modify the FORTRAN and OPTS definitions to refer to the
+#  compiler and desired compiler options for your machine.  NOOPT
+#  refers to the compiler options desired when NO OPTIMIZATION is
+#  selected.  Define LOADER and LOADOPTS to refer to the loader and 
+#  desired load options for your machine.
+#
+FORTRAN  = gfortran 
+OPTS     = -fPIC -O2
+DRVOPTS  = $(OPTS)
+NOOPT    = -O0
+LOADER   = gfortran
+LOADOPTS =
+#
+# Timer for the SECOND and DSECND routines
+#
+# Default : SECOND and DSECND will use a call to the EXTERNAL FUNCTION ETIME
+#TIMER    = EXT_ETIME
+# For RS6K : SECOND and DSECND will use a call to the EXTERNAL FUNCTION ETIME_
+# TIMER    = EXT_ETIME_
+# For gfortran compiler: SECOND and DSECND will use a call to the INTERNAL FUNCTION ETIME
+TIMER    = INT_ETIME
+# If your Fortran compiler does not provide etime (like Nag Fortran Compiler, etc...)
+# SECOND and DSECND will use a call to the INTERNAL FUNCTION CPU_TIME
+# TIMER    = INT_CPU_TIME
+# If neither of this works...you can use the NONE value... In that case, SECOND and DSECND will always return 0
+# TIMER     = NONE
+#
+#  Configuration LAPACKE: Native C interface to LAPACK
+#  To generate LAPACKE library: type 'make lapackelib'
+#  Configuration file: turned off (default)
+#  Complex types: C99 (default)
+#  Name pattern: mixed case (default)
+#  (64-bit) Data model: LP64 (default)
+#
+# CC is the C compiler, normally invoked with options CFLAGS.
+#
+CC = gcc
+CFLAGS = -O3
+#
+#  The archiver and the flag(s) to use when building archive (library)
+#  If you system has no ranlib, set RANLIB = echo.
+#
+ARCH     = ar
+ARCHFLAGS= cr
+RANLIB   = ranlib
+#
+#  Location of the extended-precision BLAS (XBLAS) Fortran library
+#  used for building and testing extended-precision routines.  The
+#  relevant routines will be compiled and XBLAS will be linked only if
+#  USEXBLAS is defined.
+#
+# USEXBLAS    = Yes
+XBLASLIB     =
+# XBLASLIB    = -lxblas
+#
+#  The location of the libraries to which you will link.  (The 
+#  machine-specific, optimized BLAS library should be used whenever
+#  possible.)
+#
+BLASLIB      = ../../librefblas.a
+LAPACKLIB    = liblapack.a
+TMGLIB       = libtmglib.a
+LAPACKELIB   = liblapacke.a
Index: issm/trunk/externalpackages/lapack/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/lapack/install-linux64.sh	(revision 12332)
+++ issm/trunk/externalpackages/lapack/install-linux64.sh	(revision 12332)
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src install lapack-3.4.1 lapack-3.4.1.tgz
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/lapack-3.4.1.tgz' 'lapack-3.4.1.tgz'
+
+#Untar 
+tar -zxvf  lapack-3.4.1.tgz
+
+#Move lapack into install directory
+mv lapack-3.4.1/* src
+rm -rf lapack-3.4.1
+
+#install
+cd src 
+cp ../configs/linux64/make.inc ./
+
+#Compile and install lapack
+if [ -z $1 ]; then
+	make lib
+else
+	make -j $1 lib
+fi
+
+#Compile 
+cd ../install
+mkdir lib
+cd lib
+cp ../../src/liblapack.a .
Index: issm/trunk/externalpackages/latex2rtf/install.sh
===================================================================
--- issm/trunk/externalpackages/latex2rtf/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/latex2rtf/install.sh	(revision 12332)
@@ -3,4 +3,7 @@
 #Some cleanup
 rm -rf latex2rtf-2.0.0 cfg install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/latex2rtf-2.0.0.tar.gz' 'latex2rtf-2.0.0.tar.gz'
 
 #untar 
@@ -10,4 +13,4 @@
 #Compile
 cd install
-export PREFIX="$ISSM_TIER/externalpackages/latex2rtf/install/"
+export PREFIX="$ISSM_DIR/externalpackages/latex2rtf/install/"
 make
Index: issm/trunk/externalpackages/libermate/install.sh
===================================================================
--- issm/trunk/externalpackages/libermate/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/libermate/install.sh	(revision 12332)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install
+rm -rf libermate-0.4
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/libermate-0.4.tgz' 'libermate-0.4.tgz'
+
+#Untar 
+tar -zxvf  libermate-0.4.tgz
+
+#Move libermate into install directory
+mv libermate-0.4/* install
+rm -rf libermate-0.4
Index: issm/trunk/externalpackages/libpng/install.sh
===================================================================
--- issm/trunk/externalpackages/libpng/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/libpng/install.sh	(revision 12332)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf libpng-1.5.10
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/libpng-1.5.10.tar.gz' 'libpng-1.5.10.tar.gz'
+
+#Untar 
+tar -zxvf  libpng-1.5.10.tar.gz
+
+#Move libpng into src directory
+mv libpng-1.5.10/* src
+rm -rf libpng-1.5.10
+
+#Configure libpng
+cd src
+sudo ./configure 
+
+#Compile and install libpng
+if [ -z $1 ]; then
+	sudo make
+else
+	sudo make -j $1
+fi
+sudo make install
Index: issm/trunk/externalpackages/libtool/install.sh
===================================================================
--- issm/trunk/externalpackages/libtool/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/libtool/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install libtool-2.2.6b src
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/libtool-2.2.6b.tar.gz' 'libtool-2.2.6b.tar.gz'
 
 #Untar 
@@ -13,5 +16,5 @@
 #Compile libtool
 cd src 
-./configure --prefix="$ISSM_TIER/externalpackages/libtool/install" 
+./configure --prefix="$ISSM_DIR/externalpackages/libtool/install" 
 make  
 make install
Index: issm/trunk/externalpackages/m2html/install.sh
===================================================================
--- issm/trunk/externalpackages/m2html/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/m2html/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install m2html
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/m2html.zip' 'm2html.zip'
 
 #uncompress
Index: issm/trunk/externalpackages/matplotlib/install-osx.sh
===================================================================
--- issm/trunk/externalpackages/matplotlib/install-osx.sh	(revision 12332)
+++ issm/trunk/externalpackages/matplotlib/install-osx.sh	(revision 12332)
@@ -0,0 +1,10 @@
+#/bin/bash
+pythonversion=2.7
+PYTHON=python${pythonversion}
+
+git clone https://github.com/matplotlib/matplotlib
+mv matplotlib src
+mkdir deps
+cd src
+make -f make.osx PREFIX=$ISSM_DIR/externalpackages/matplotlib/deps PYVERSION=$pythonversion fetch deps mpl_install_std
+${PYTHON} -c "import matplotlib; print 'Installed matplotlib', matplotlib.__version__, matplotlib.__file__"
Index: issm/trunk/externalpackages/matplotlib/install.sh
===================================================================
--- issm/trunk/externalpackages/matplotlib/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/matplotlib/install.sh	(revision 12332)
@@ -0,0 +1,7 @@
+#/bin/bash
+
+git clone https://github.com/matplotlib/matplotlib
+mv matplotlib src
+cd src
+python setup.py build
+python setup.py install
Index: issm/trunk/externalpackages/mercurial/install.sh
===================================================================
--- issm/trunk/externalpackages/mercurial/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/mercurial/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install mercurial-1.7.3
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/mercurial-1.7.3.tar.gz' 'mercurial-1.7.3.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/metis/install-4.0-altix64.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-altix64.sh	(revision 12331)
+++ issm/trunk/externalpackages/metis/install-4.0-altix64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install metis-4.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/metis/install-4.0-cosmos.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-cosmos.sh	(revision 12331)
+++ issm/trunk/externalpackages/metis/install-4.0-cosmos.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install metis-4.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/metis/install-4.0-discover.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-discover.sh	(revision 12332)
+++ issm/trunk/externalpackages/metis/install-4.0-discover.sh	(revision 12332)
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install metis-4.0
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
+
+#Untar 
+tar -zxvf  metis-4.0.tar.gz
+
+#Move metis into install directory
+mv metis-4.0/* install
+rm -rf metis-4.0
+
+#Apply patches
+cd install 
+patch -p1 < ../metis-4.0.patch
+patch Makefile.in ../configs/4.0/discover/Makefile.in.patch
+
+#Compile
+make
Index: issm/trunk/externalpackages/metis/install-4.0-greenplanet.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-greenplanet.sh	(revision 12331)
+++ issm/trunk/externalpackages/metis/install-4.0-greenplanet.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install metis-4.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/metis/install-4.0-linux64.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-linux64.sh	(revision 12331)
+++ issm/trunk/externalpackages/metis/install-4.0-linux64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install metis-4.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/metis/install-4.0-macosx32.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-macosx32.sh	(revision 12331)
+++ issm/trunk/externalpackages/metis/install-4.0-macosx32.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install metis-4.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/metis/install-4.0-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-macosx64.sh	(revision 12331)
+++ issm/trunk/externalpackages/metis/install-4.0-macosx64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install metis-4.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/metis/install-4.0-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-pleiades.sh	(revision 12331)
+++ issm/trunk/externalpackages/metis/install-4.0-pleiades.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install metis-4.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/metis/install-4.0-win32.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-win32.sh	(revision 12331)
+++ issm/trunk/externalpackages/metis/install-4.0-win32.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install metis-4.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/metis/install-4.0-win7.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-win7.sh	(revision 12331)
+++ issm/trunk/externalpackages/metis/install-4.0-win7.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install metis-4.0
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/metis/install-5.0.1-linux64.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-5.0.1-linux64.sh	(revision 12331)
+++ issm/trunk/externalpackages/metis/install-5.0.1-linux64.sh	(revision 12332)
@@ -5,4 +5,7 @@
 rm -rf install metis-5.0.1
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-5.0.1.tar.gz' 'metis-5.0.1.tar.gz'
 
 #Untar 
@@ -17,4 +20,4 @@
 
 #Compile metis
-make config prefix="$ISSM_TIER/externalpackages/metis/install"
+make config prefix="$ISSM_DIR/externalpackages/metis/install"
 make install
Index: issm/trunk/externalpackages/modelE/install.sh
===================================================================
--- issm/trunk/externalpackages/modelE/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/modelE/install.sh	(revision 12332)
@@ -6,4 +6,7 @@
 rm -rf src install  modelE_AR5_branch
 mkdir src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/modelE_AR5_branch.2012.03.13_10.12.21.tgz' 'modelE_AR5_branch.2012.03.13_10.12.21.tgz'
 
 #Untar 
Index: issm/trunk/externalpackages/mpich2/install-1.0.2-altix64.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.0.2-altix64.sh	(revision 12331)
+++ issm/trunk/externalpackages/mpich2/install-1.0.2-altix64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf src install mpich2-1.0.2p1
 mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/mpich2-1.0.2p1.tar.gz' 'mpich2-1.0.2p1.tar.gz'
 
 #Untar 
@@ -18,5 +21,5 @@
 export FFLAGS="$FFLAGS -fPIC"
 ./configure \
-	--prefix="$ISSM_TIER/externalpackages/mpich2/install" \
+	--prefix="$ISSM_DIR/externalpackages/mpich2/install" \
 	--enable-sharedlibs=gcc \
 	--enable-f91=gfortran 
Index: issm/trunk/externalpackages/mpich2/install-1.0.2-linux64.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.0.2-linux64.sh	(revision 12331)
+++ issm/trunk/externalpackages/mpich2/install-1.0.2-linux64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf src install mpich2-1.0.2p1
 mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/mpich2-1.0.2p1.tar.gz' 'mpich2-1.0.2p1.tar.gz'
 
 #Untar 
@@ -18,5 +21,5 @@
 export FFLAGS="$FFLAGS -fPIC"
 ./configure \
-	--prefix="$ISSM_TIER/externalpackages/mpich2/install" \
+	--prefix="$ISSM_DIR/externalpackages/mpich2/install" \
 	--enable-sharedlibs=gcc \
 	--enable-f91=gfortran 
Index: issm/trunk/externalpackages/mpich2/install-1.0.2-macosx32.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.0.2-macosx32.sh	(revision 12331)
+++ issm/trunk/externalpackages/mpich2/install-1.0.2-macosx32.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf src install mpich2-1.0.2p1
 mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/mpich2-1.0.2p1.tar.gz' 'mpich2-1.0.2p1.tar.gz'
 
 #Untar 
@@ -17,5 +20,5 @@
 export CFLAGS=" -m32"
 ./configure \
-	--prefix="$ISSM_TIER/externalpackages/mpich2/install" \
+	--prefix="$ISSM_DIR/externalpackages/mpich2/install" \
 	--enable-f91=gfortran \
 	--enable-sharedlibs=osx-gcc
Index: issm/trunk/externalpackages/mpich2/install-1.0.2-win32.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.0.2-win32.sh	(revision 12331)
+++ issm/trunk/externalpackages/mpich2/install-1.0.2-win32.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf src install mpich2-1.0.2p1
 mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/mpich2-1.0.2p1.tar.gz' 'mpich2-1.0.2p1.tar.gz'
 
 #Untar 
@@ -17,5 +20,5 @@
 export CFLAGS="$CFLAGS -fPIC"
 export FFLAGS="$FFLAGS -fPIC"
-./configure --prefix="$ISSM_TIER/externalpackages/mpich2/install" 
+./configure --prefix="$ISSM_DIR/externalpackages/mpich2/install" 
 
 #Apply Patch to examples
Index: issm/trunk/externalpackages/mpich2/install-1.4-linux64.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.4-linux64.sh	(revision 12331)
+++ issm/trunk/externalpackages/mpich2/install-1.4-linux64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf src install mpich2-1.4
 mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/mpich2-1.4.tar.gz' 'mpich2-1.4.tar.gz'
 
 #Untar 
@@ -17,5 +20,5 @@
 export FFLAGS="$FFLAGS -fPIC"
 ./configure \
-	--prefix="$ISSM_TIER/externalpackages/mpich2/install" \
+	--prefix="$ISSM_DIR/externalpackages/mpich2/install" \
 	--enable-shared \
 	--enable-sharedlibs=gcc \
Index: issm/trunk/externalpackages/mpich2/install-1.4-macosx32.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.4-macosx32.sh	(revision 12331)
+++ issm/trunk/externalpackages/mpich2/install-1.4-macosx32.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf src install mpich2-1.4
 mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/mpich2-1.4.tar.gz' 'mpich2-1.4.tar.gz'
 
 #Untar 
@@ -19,5 +22,5 @@
 export CPPFLAGS=" -arch i386"
 ./configure \
-	--prefix="$ISSM_TIER/externalpackages/mpich2/install" \
+	--prefix="$ISSM_DIR/externalpackages/mpich2/install" \
 	--enable-f91=gfortran \
 	--enable-sharedlibs=osx-gcc \
Index: issm/trunk/externalpackages/mpich2/install-1.4-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.4-macosx64.sh	(revision 12331)
+++ issm/trunk/externalpackages/mpich2/install-1.4-macosx64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf src install mpich2-1.4
 mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/mpich2-1.4.tar.gz' 'mpich2-1.4.tar.gz'
 
 #Untar 
@@ -19,5 +22,5 @@
 export CXXFLAGS=" -arch x86_64"
 ./configure \
-	--prefix="$ISSM_TIER/externalpackages/mpich2/install" \
+	--prefix="$ISSM_DIR/externalpackages/mpich2/install" \
 	--enable-f91 \
 	--enable-sharedlibs=osx-gcc \
Index: issm/trunk/externalpackages/ncview/install.sh
===================================================================
--- issm/trunk/externalpackages/ncview/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/ncview/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/ncview-1.93g.tar.gz' 'ncview-1.93g.tar.gz'
 
 #Untar 
@@ -15,9 +18,9 @@
 cd install
 ./configure \
-	--prefix "$ISSM_TIER/externalpackages/ncview/install" \
+	--prefix "$ISSM_DIR/externalpackages/ncview/install" \
 	--x-libraries=/usr/X11/lib/ \
 	--x-includes=/usr/X11/include/ \
-	--with-netcdf_incdir="$ISSM_TIER/externalpackages/netcdf/install/include/" \
-	--with-netcdf_libdir="$ISSM_TIER/externalpackages/netcdf/install/lib/"
+	--with-netcdf_incdir="$ISSM_DIR/externalpackages/netcdf/install/include/" \
+	--with-netcdf_libdir="$ISSM_DIR/externalpackages/netcdf/install/lib/"
 
 make
Index: issm/trunk/externalpackages/netcdf/install.sh
===================================================================
--- issm/trunk/externalpackages/netcdf/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/netcdf/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install netcdf-4.0.1
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/netcdf-4.0.1.tar.gz' 'netcdf-4.0.1.tar.gz'
 
 #Untar 
@@ -15,5 +18,5 @@
 #Configure and compile
 cd install
-./configure  --prefix="$ISSM_TIER/externalpackages/netcdf/install" 
+./configure  --prefix="$ISSM_DIR/externalpackages/netcdf/install" 
 if [ -z $1 ]; then
 	make
Index: issm/trunk/externalpackages/nose/install-macosx64sh
===================================================================
--- issm/trunk/externalpackages/nose/install-macosx64sh	(revision 12331)
+++ issm/trunk/externalpackages/nose/install-macosx64sh	(revision 12332)
@@ -1,10 +1,29 @@
-#/bin/bash
-#Install Python3 nose module
+#!/bin/bash
+#Install Python nose module
 
-rm -rf py3k
+pythonversion=2
+	
+rm -rf src 
 
-svn checkout http://python-nose.googlecode.com/svn/branches/py3k
-cd py3k
+if [[ $pythonversion == "3" ]];then
 
-python3.2 ./setup.py build
-python3.2 ./setup.py install
+	svn checkout http://python-nose.googlecode.com/svn/branches/py3k
+	mv py3k src
+
+	cd src
+	python ./setup.py build
+	python ./setup.py install
+fi
+
+if [[ $pythonversion == "2" ]];then
+
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/nose-1.1.2.tar.gz' 'nose-1.1.2.tar.gz'
+	tar -zxvf  nose-1.1.2.tar.gz
+	mv nose-1.1.2 src
+	rm -rf nose-1.1.2
+
+	cd src
+	python ./setup.py build
+	python ./setup.py install
+fi
Index: issm/trunk/externalpackages/octave/install.sh
===================================================================
--- issm/trunk/externalpackages/octave/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/octave/install.sh	(revision 12332)
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+#Some cleanup
+version=3.6.1
+rm -rf src install octave-$version octave-$version.tar.gz
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/octave-$version.tar.gz" "octave-$version.tar.gz"
+
+#Untar 
+tar -zxvf  octave-$version.tar.gz
+
+#Move octave into install directory
+mv octave-$version/* src
+rm -rf octave-$version
+
+#install
+cd src 
+
+exit
+make 
+
+#Compile 
+cd ../install
+mkdir lib
+cd lib
+cp ../../src/*.a .
+ln -s octave_LINUX.a octave.a
+ln -s octave_LINUX.a liboctave.a
Index: issm/trunk/externalpackages/oofem/install.sh
===================================================================
--- issm/trunk/externalpackages/oofem/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/oofem/install.sh	(revision 12332)
@@ -5,4 +5,7 @@
 rm -rf oofem-2.0
 mkdir src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/oofem-2.0.tar.gz' 'oofem-2.0.tar.gz'
 
 #Untar 
Index: issm/trunk/externalpackages/pcre/install.sh
===================================================================
--- issm/trunk/externalpackages/pcre/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/pcre/install.sh	(revision 12332)
@@ -5,4 +5,7 @@
 rm -rf pcre-8.21
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/pcre-8.21.tar.gz' 'pcre-8.21.tar.gz'
 
 #Untar and move python into install directory
@@ -13,5 +16,5 @@
 #Configure doxygen
 cd install 
-./configure --prefix "$ISSM_TIER/externalpackages/python/install"
+./configure --prefix "$ISSM_DIR/externalpackages/python/install"
 make
 make install
Index: issm/trunk/externalpackages/petsc/install-2.3.2-altix64-castor.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-altix64-castor.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-altix64-castor.sh	(revision 12332)
@@ -9,4 +9,7 @@
 	mkdir install src
 
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-2.3.2-p3.tar.gz' 'petsc-2.3.2-p3.tar.gz'
+
 	#Untar and move petsc to install directory
 	tar -zxvf  petsc-2.3.2-p3.tar.gz
@@ -17,5 +20,5 @@
 	cd install
 	./config/configure.py \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 		--with-batch=1  \
 		--ISSM_ARCH=$ISSM_ARCH \
@@ -41,5 +44,5 @@
 	cd install
 	./config/configure.py  \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 		--with-batch=1  \
 		--ISSM_ARCH=$ISSM_ARCH \
Index: issm/trunk/externalpackages/petsc/install-2.3.2-cosmos.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-cosmos.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-cosmos.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-2.3.2-p3 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-2.3.2-p3.tar.gz' 'petsc-2.3.2-p3.tar.gz'
 
 #Untar and move petsc to install directory
@@ -12,5 +15,5 @@
 #configure
 cd install
-PETSC_DIR=$ISSM_TIER/externalpackages/petsc/install
+PETSC_DIR=$ISSM_DIR/externalpackages/petsc/install
 ./config/configure.py  \
 	--prefix=$PETSC_DIR \
Index: issm/trunk/externalpackages/petsc/install-2.3.2-linux64-astrid.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-linux64-astrid.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-linux64-astrid.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-2.3.2-p3 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-2.3.2-p3.tar.gz' 'petsc-2.3.2-p3.tar.gz'
 
 #Untar and move petsc to install directory
@@ -13,8 +16,8 @@
 cd install
 ./config/configure.py  \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	--with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
 	--PETSC_ARCH=linux-gnu-amd64 \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/install" \
 	--with-fc=gfortran \
 	--with-debugging=1 \
@@ -25,5 +28,5 @@
 	--download-blas=yes \
 	--download-f-blas-lapack=yes \
-	--FFLAGS=-I$ISSM_TIER/externalpackages/mpich2/install/include \
+	--FFLAGS=-I$ISSM_DIR/externalpackages/mpich2/install/include \
 	--download-plapack=yes \
 	--COPTFLAGS="-march=opteron -O2" \
